WordPress.org

Ready to get started?Download WordPress

Forums

WordPress Ultra Simple Paypal Shopping Cart
[resolved] Compatibility issues with Leaflet MapsMarker plugin (4 posts)

  1. BrandiABoyd
    Member
    Posted 1 year ago #

    Hi, I use your plugin and it's great, does just what it says, simple and easy, I appreciate your hard work. Unfortunately it seems to cause some issues with another plugin I love, Leaflet Maps Marker, where it causes the tabbed admin section to mostly disappear and lose it's styling. I couldn't begin to say what causes it exactly, but when I deactivate your plugin it all works great.

    http://wordpress.org/extend/plugins/wp-ultra-simple-paypal-shopping-cart/

  2. RobertHarm
    Member
    Posted 1 year ago #

    Hi,

    I am the developer of Leaflet Maps Marker - the problem is that your plugin is inserting the css file
    <link rel='stylesheet' type='text/css' href='http://current.mapsmarker.com/wp-content/plugins/wp-ultra-simple-paypal-shopping-cart/wp_ultra_simple_shopping_cart_admin_style.css' />
    on all admin pages and breaking my settings page.

    Please take a look at https://github.com/robertharm/Leaflet-Maps-Marker/blob/dev/leaflet-maps-marker.php line 334-362 how I changed my code to include my js+css only on admin pages.
    regards,
    Robert

  3. Mike Castro Demaria
    Member
    Plugin Author

    Posted 1 year ago #

    Hi Robert,

    There is something I can do to avoid conflict with your own admin css ?

    Cheers,
    Mike

  4. RobertHarm
    Member
    Posted 1 year ago #

    Hi Mike,

    I would suggest two things:

    1. add your scripts and styles via wp_enqueue_scripts() resp. wp_enqueue_styles(). I do this in my plugin on line 639-563:
    https://github.com/robertharm/Leaflet-Maps-Marker/blob/dev/leaflet-maps-marker.php

    2. enqueue css+js only on your admin pages. I do this in my plugin with the code on line 350-378:
    https://github.com/robertharm/Leaflet-Maps-Marker/blob/dev/leaflet-maps-marker.php

    Would be glad if you could add this within your plugin as it would allow me to remove my incompatibility warning for your plugin.
    best regards,

    Robert

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic